Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class JavaElementSorter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerSorter
          org.eclipse.jdt.ui.JavaElementSorter

public class JavaElementSorter
extends ViewerSorter

Sorter for Java elements. Ordered by element category, then by element name. Package fragment roots are sorted as ordered on the classpath.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.jface.viewers.ViewerSorter
`collator`

Constructor Summary
`JavaElementSorter()` Constructor.

Method Summary
`int` | `category(Object element)`
`int` | `compare(Viewer viewer, Object e1, Object e2)`
`Collator` | `getCollator()`
`boolean` | `isSorterProperty(Object element, Object property)` Deprecated. Bug 22518. Method never used: does not override ViewerSorter#isSorterProperty(Object, String). Method could be removed, but kept for API compatibility.

Methods inherited from class org.eclipse.jface.viewers.ViewerSorter
`isSorterProperty, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaElementSorter

    public JavaElementSorter()

  Constructor.

Method Detail

### isSorterProperty

    public boolean isSorterProperty(Object element,
                                    Object property)

  Deprecated. Bug 22518. Method never used: does not override ViewerSorter#isSorterProperty(Object, String). Method could be removed, but kept for API compatibility.

### category

    public int category(Object element)

### compare

    public int compare(Viewer viewer,
                       Object e1,
                       Object e2)

### getCollator

    public final Collator getCollator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.